Subject: Problems with Windows, Was: What's cooking in git.git (May 2013, #01; Fri, 3)

From: Torsten Bögershausen <[email-masked]>
Date: Tue, 07 May 2013 16:27:20 +0200

On 2013-05-04 01.14, Junio C Hamano wrote:
> 
>  Cygwin portability; both were reviewed by Jonathan, and the tip one
>  seems to want a bit further explanation.  Needs positive report
>  from Cygwin 1.7 users who have been on 1.7 to make sure it does not
>  regress for them.

I was trying to verify that cygwin 1.7 is still Ok, but got puzzled.

Running the test suite under cygwin doesn't seem to work any more (?):

Scenario 1:
The PC is running alone, and goes into the screen saver.
Pressing CTRL-ALT-DEL didn't get any effect.

Scenario 2:
The PC didn't react any more, when the test suite was run in background.
In 3 or 4 cases the PC needed to be reboot hardly.

Using the commits before and after this change makes the test suite hang 
as well at some point, then it hangs somewhere at TC 3000--4000.

Scenario 4:
The I disabled the screensaver, upgdated cygwin,
 and went back to an older commit:
The latest run from commit 52d63e70, April 28,
hangs in TC 5500, ok 26 clone shallow object count.

I can see 2 times 
git.exe pull --depth 4 ..A 

Scenario 5:
The run of today 1.8.3-rc1, hangs in t5510,
some git.exe are running fetch. (or pull)

It seems as if some process/exes are not terminated
in the way it should be.

I will try on a different machine,
comments are wellcome
/Torsten